Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::Acquire Struct Reference

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Acquire:

## Static Public Member Functions
static Stmt | make (Expr semaphore, Expr count, Stmt body)

## Public Attributes
Expr | semaphore
Expr | count
Stmt | body
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::Acquire

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::StmtNode< Acquire >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
virtual Stmt | mutate_stmt (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Definition at line 872 of file IR.h.

## Member Function Documentation

## ◆ make()

static Stmt Halide::Internal::Acquire::make | ( | Expr | semaphore,
|  | Expr | count,
|  | Stmt | body
| ) |  |
| static

## Member Data Documentation

## ◆ semaphore

Expr Halide::Internal::Acquire::semaphore

Definition at line 873 of file IR.h.

## ◆ count

Expr Halide::Internal::Acquire::count

Definition at line 874 of file IR.h.

## ◆ body

Stmt Halide::Internal::Acquire::body

Definition at line 875 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::Acquire::_node_type = IRNodeType::Acquire
| static

Definition at line 879 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h